Core - Task # 56491

Status: Resolved Priority: Should have
Author: Markus Klein Category: Backend API
Created: 2014-03-03 Assigned To:

Updated: 2014-03-16 Due date:

TYPO3 Version: 6.2

PHP Version:

Complexity: easy

Sprint Focus:

Subject: Remove old hook for simulatestatic in TypoScriptFrontendController
Description

The hook was introduced and deprecated when simulatestatic was moved to TER for 6.0

Remove the hook now.

Related issues:
related to Core - Bug # 56848: Remove deprecated modifyPageld hook Resolved 2014-03-12

Associated revisions

Revision 52d6db24 - 2014-03-15 17:56 - Markus Klein

[TASK] Remove old hook for simulatestatic

The hook was introduced and deprecated when
simulatestatic was moved to TER for 6.0.

Furthermore the old wapversion.lib files are
not part of the Core anymore, hence we can remove

some more overhead.

Resolves: #56491

Releases: 6.2

Change-Id: 1b9c05895eed3539ac9e540b39d720038c5cacedb
Reviewed-on: https://review.typo3.org/27991

Reviewed-by: Anja Leichsenring
Tested-by: Anja Leichsenring
Reviewed-by: Wouter Wolters
Tested-by: Wouter Wolters

History

#1 - 2014-03-03 13:26 - Gerrit Code Review
- Status changed from Accepted to Under Review

Patch set 1 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.
It is available at https://review.typo3.org/27991

#2 - 2014-03-05 22:51 - Gerrit Code Review

2015-08-04 1/2



https://review.typo3.org/27991
https://review.typo3.org/27991

Patch set 2 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.0rg/27991

#3 - 2014-03-15 16:38 - Gerrit Code Review

Patch set 3 for branch master of project Packages/TYPO3.CMS has been pushed to the review server.

It is available at https://review.typo3.org/27991

#4 - 2014-03-15 18:30 - Markus Klein
- Status changed from Under Review to Resolved
- % Done changed from 0 to 100

Applied in changeset commit:52d6db2470d9e70d6637b4243e568b38456dd3a4.

#5 - 2014-03-16 01:15 - Ernesto Baschny

Hook had already been removed in #56848, so the merged patch here is just a last clean-up. Took me a while to understand. :)
